import { Observable } from 'rxjs';
/** Represents an array of observables. */
export declare type ObservableArray = Observable<unknown>[];
/** Constructs an tuple in which each element type is the type of value emitted by the observable at the corresponding index. */
export declare type EmittedArrayTypesOf<T> = T extends Observable<infer Observerd>[] ? Observerd : never;
