import * as i0 from "@angular/core";
import * as i1 from "./directives/observe.directive";
import * as i2 from "./directives/observe-latest.directive";
import * as i3 from "./directives/observe-join.directive";
import * as i4 from "./directives/observe-merge.directive";
import * as i5 from "./directives/observe-concat.directive";
/**
 * Provides directives to facilitate in-template subscription management to observables.
 *
 * @export
 * @class ObserveModule
 */
export declare class ObserveModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ObserveModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ObserveModule, [typeof i1.ObserveDirective, typeof i2.ObserveLatestDirective, typeof i3.ObserveJoinDirective, typeof i4.ObserveMergeDirective, typeof i5.ObserveConcatDirective], never, [typeof i1.ObserveDirective, typeof i2.ObserveLatestDirective, typeof i3.ObserveJoinDirective, typeof i4.ObserveMergeDirective, typeof i5.ObserveConcatDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ObserveModule>;
}
