/**
 * Defines the configuration for angular-zen's router-x module.
 *
 * @export
 * @interface RouterXConfig
 */
export interface RouterXConfig {
    /**
     * (Optional) The complete host url (e.g. https://www.example.com) to use when reflection on urls.
     * Default is the current host url as extracted from the document object.
     */
    hostUrl?: string;
}
