import type { RouteComposerComposeMethod } from '../types/route-composer.types';
import type { RouteArgument } from '../types/route-paths.types';
export declare class RouteComposer<Entity, FullPath extends string, Name extends string> {
    readonly path: FullPath;
    readonly name: Name;
    readonly args: RouteArgument<FullPath>[];
    readonly hasArgs: boolean;
    readonly compose: RouteComposerComposeMethod<Entity, FullPath>;
    constructor(path: FullPath, name: Name);
    private routePathWithArgs;
    private routePath;
}
