import { PlatformDirective } from './platform.directive';
import * as i0 from "@angular/core";
/**
 * Renders the marked element only on non-browser platforms.
 *
 * @export
 * @class NonBrowserOnlyDirective
 * @extends {PlatformDirective}
 */
export declare class NonBrowserOnlyDirective extends PlatformDirective {
    /**
     * Checks whether the element should be rendered on the current platform.
     *
     * @protected
     * @returns {boolean}
     */
    protected shouldRender(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<NonBrowserOnlyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NonBrowserOnlyDirective, "[nonBrowserOnly]", never, {}, {}, never, never, false>;
}
