import { PlatformDirective } from './platform.directive';
import * as i0 from "@angular/core";
/**
 * Renders the marked element only on non-worker-app platforms.
 *
 * @export
 * @class NonWorkerAppOnlyDirective
 * @extends {PlatformDirective}
 */
export declare class NonWorkerAppOnlyDirective extends PlatformDirective {
    /**
     * Checks whether the element should be rendered on the current platform.
     *
     * @protected
     * @returns {boolean}
     */
    protected shouldRender(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<NonWorkerAppOnlyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NonWorkerAppOnlyDirective, "[nonWorkerAppOnly]", never, {}, {}, never, never, false>;
}
