import { PlatformDirective } from './platform.directive';
import * as i0 from "@angular/core";
/**
 * Renders the marked element only on non-worker-ui platforms.
 *
 * @export
 * @class NonWorkerUiOnlyDirective
 * @extends {PlatformDirective}
 */
export declare class NonWorkerUiOnlyDirective extends PlatformDirective {
    /**
     * Checks whether the element should be rendered on the current platform.
     *
     * @protected
     * @returns {boolean}
     */
    protected shouldRender(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<NonWorkerUiOnlyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NonWorkerUiOnlyDirective, "[nonWorkerUiOnly]", never, {}, {}, never, never, false>;
}
