import { PlatformDirective } from './platform.directive';
import * as i0 from "@angular/core";
/**
 * Renders the marked element only on server platforms.
 *
 * @export
 * @class ServerOnlyDirective
 * @extends {PlatformDirective}
 */
export declare class ServerOnlyDirective extends PlatformDirective {
    /**
     * Checks whether the element should be rendered on the current platform.
     *
     * @protected
     * @returns {boolean}
     */
    protected shouldRender(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ServerOnlyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ServerOnlyDirective, "[serverOnly]", never, {}, {}, never, never, false>;
}
