import { PlatformDirective } from './platform.directive';
import * as i0 from "@angular/core";
/**
 * Renders the marked element only on worker-app platforms.
 *
 * @export
 * @class WorkerAppOnlyDirective
 * @extends {PlatformDirective}
 */
export declare class WorkerAppOnlyDirective extends PlatformDirective {
    /**
     * Checks whether the element should be rendered on the current platform.
     *
     * @protected
     * @returns {boolean}
     */
    protected shouldRender(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkerAppOnlyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<WorkerAppOnlyDirective, "[workerAppOnly]", never, {}, {}, never, never, false>;
}
