import { PlatformDirective } from './platform.directive';
import * as i0 from "@angular/core";
/**
 * Renders the marked element only on worker-ui platforms.
 *
 * @export
 * @class WorkerUiOnlyDirective
 * @extends {PlatformDirective}
 */
export declare class WorkerUiOnlyDirective extends PlatformDirective {
    /**
     * Checks whether the element should be rendered on the current platform.
     *
     * @protected
     * @returns {boolean}
     */
    protected shouldRender(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkerUiOnlyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<WorkerUiOnlyDirective, "[workerUiOnly]", never, {}, {}, never, never, false>;
}
