import { RouteComposer } from './router-composer';
import type { ReadonlyRoute, WithRouteComposer } from '../types/composable-routes.types';
import type { RouteArgument } from '../types/route-paths.types';
export declare function collectRouteComposersByAutoNavigatorName(route: WithRouteComposer<unknown, string, string> & ReadonlyRoute<string, string, any>): Map<string, RouteComposer<unknown, string, string>>;
export declare function extractArgsFromPath<Path extends string>(path: Path): RouteArgument<Path>[];
