/** A multi-level route string for. */
export declare const DeepRoutePath = "/deeply/nested/route/for/testing";
/**
 * The segments of `DeepRoutePath`. First element will always be '' (empty string) as the route begins with a forward slash.
 * Use `DeepRouteSegmentsNoRoot` for an array of segments without the root ''.
 */
export declare const DeepRouteSegments: string[];
/**
 * The segments of `DeepRoutePath` without the root route (the '' route).
 * Use `DeepRouteSegments` for an array of segments with the root ''.
 */
export declare const DeepRouteSegmentsNoRoot: string[];
