import { PlatformDirective } from './platform.directive';
import * as i0 from "@angular/core";
/**
 * Renders the marked element only on browser platforms.
 *
 * @export
 * @class BrowserOnlyDirective
 * @extends {PlatformDirective}
 */
export declare class BrowserOnlyDirective extends PlatformDirective {
    /**
     * Checks whether the element should be rendered on the current platform.
     *
     * @protected
     * @returns {boolean}
     */
    protected shouldRender(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<BrowserOnlyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BrowserOnlyDirective, "[browserOnly]", never, {}, {}, never, never, false>;
}
