import { PlatformDirective } from './platform.directive';
import * as i0 from "@angular/core";
/**
 * Renders the marked element only on non-server platforms.
 *
 * @export
 * @class NonServerOnlyDirective
 * @extends {PlatformDirective}
 */
export declare class NonServerOnlyDirective extends PlatformDirective {
    /**
     * Checks whether the element should be rendered on the current platform.
     *
     * @protected
     * @returns {boolean}
     */
    protected shouldRender(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<NonServerOnlyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NonServerOnlyDirective, "[nonServerOnly]", never, {}, {}, never, never, false>;
}
