import * as i0 from "@angular/core";
import * as i1 from "./directives/browser-only.directive";
import * as i2 from "./directives/server-only.directive";
import * as i3 from "./directives/worker-app-only.directive";
import * as i4 from "./directives/worker-ui-only.directive";
import * as i5 from "./directives/non-browser-only.directive";
import * as i6 from "./directives/non-server-only.directive";
import * as i7 from "./directives/non-worker-app-only.directive";
import * as i8 from "./directives/non-worker-ui-only.directive";
/**
 * Provides facilitating tools for work with Angular Universal.
 *
 * @export
 * @class UniversalModule
 */
export declare class UniversalModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<UniversalModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<UniversalModule, [typeof i1.BrowserOnlyDirective, typeof i2.ServerOnlyDirective, typeof i3.WorkerAppOnlyDirective, typeof i4.WorkerUiOnlyDirective, typeof i5.NonBrowserOnlyDirective, typeof i6.NonServerOnlyDirective, typeof i7.NonWorkerAppOnlyDirective, typeof i8.NonWorkerUiOnlyDirective], never, [typeof i1.BrowserOnlyDirective, typeof i2.ServerOnlyDirective, typeof i3.WorkerAppOnlyDirective, typeof i4.WorkerUiOnlyDirective, typeof i5.NonBrowserOnlyDirective, typeof i6.NonServerOnlyDirective, typeof i7.NonWorkerAppOnlyDirective, typeof i8.NonWorkerUiOnlyDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<UniversalModule>;
}
